[android-components](../../../index.md) / [mozilla.components.support.migration](../../index.md) / [FennecMigratorException](../index.md) / [MigratePinnedSitesException](./index.md)

# MigratePinnedSitesException

`class MigratePinnedSitesException : `[`FennecMigratorException`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/FennecMigrator.kt#L196)

Unexpected exception while migrating pinned sites.

### Parameters

`cause` - Original exception which caused the problem.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `MigratePinnedSitesException(cause: `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html)`)`<br>Unexpected exception while migrating pinned sites. |
